/*
 * Copyright 2000-2014 JetBrains s.r.o.
 *
 * Licensed under the Apache License, Version 2.0 (the "License");
 * you may not use this file except in compliance with the License.
 * You may obtain a copy of the License at
 *
 * http://www.apache.org/licenses/LICENSE-2.0
 *
 * Unless required by applicable law or agreed to in writing, software
 * distributed under the License is distributed on an "AS IS" BASIS,
 * WITHOUT WARRANTIES OR CONDITIONS OF ANY KIND, either express or implied.
 * See the License for the specific language governing permissions and
 * limitations under the License.
 */
package com.intellij.ide.structureView.xml;

import com.intellij.ide.structureView.StructureViewBuilder;
import com.intellij.openapi.extensions.ExtensionPointName;
import com.intellij.psi.xml.XmlFile;
import com.intellij.util.KeyedLazyInstance;
import org.jetbrains.annotations.NonNls;
import org.jetbrains.annotations.NotNull;
import org.jetbrains.annotations.Nullable;

public interface XmlStructureViewBuilderProvider {
  @NonNls String EXTENSION_POINT_NAME = "com.intellij.xmlStructureViewBuilderProvider";

  ExtensionPointName<KeyedLazyInstance<XmlStructureViewBuilderProvider>>
    EP_NAME = ExtensionPointName.create(EXTENSION_POINT_NAME);

  @Nullable
  StructureViewBuilder createStructureViewBuilder(@NotNull XmlFile file);
}
